Bug 1700993 - python27 module: Include missing debuginfo files caused by an MBS bug
Summary: python27 module: Include missing debuginfo files caused by an MBS bug
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: python27-2.7-module
Version: 8.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.1
Assignee: Python Maintainers
QA Contact: Lukáš Zachar
URL:
Whiteboard:
Depends On: 1700386
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-17 18:02 UTC by Tomas Orsava
Modified: 2019-11-05 20:44 UTC (History)
6 users (show)

Fixed In Version: RHEL 8.1.0
Doc Type: Bug Fix
Doc Text:
Due to an unforeseen technical issue, a number of debuginfo packages were missing from the python27 and python36 modules in RHEL 8.0. This is now fixed in RHEL 8.1. More info and a workaround for RHEL 8.0: https://access.redhat.com/articles/4126661
Clone Of: 1700386
Environment:
Last Closed: 2019-11-05 20:43:57 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3335 None None None 2019-11-05 20:44:24 UTC

Description Tomas Orsava 2019-04-17 18:02:33 UTC
Please add the missing `python-psycopg2-debuginfo` package into the module.


Due to an MBS bug [0], the python27 module is missing the `python-psycopg2-debuginfo`.
A debuginfo packages that *is* in the module (`python2-psycopg2-debuginfo`) requires the `python-psycopg2-debuginfo` package, and thus is uninstallable.

[0] https://projects.engineering.redhat.com/browse/FACTORY-4297



+++ This bug was initially created as a clone of Bug #1700386 +++

Please add the missing `python-pymongo-debuginfo` package into the module.


Due to an MBS bug [0], the python36 module is missing the `python-pymongo-debuginfo`.
Two debuginfo packages that *are* in the module (`python3-pymongo-debuginfo`, `python3-bson-debuginfo`) require the `python-pymongo-debuginfo` package, and thus are uninstallable.

[0] https://projects.engineering.redhat.com/browse/FACTORY-4297

--- Additional comment from Tomas Orsava on 2019-04-17 19:57:59 CEST ---

After talking with RCM, I've tried to include the debuginfo package in the `api` section to get it there manually, however, this does not work, and I reverted the commit. We'll have to wait for a fix in MBS.

Comment 1 Tomas Orsava 2019-06-20 10:35:27 UTC
The fix for this issue was deployed in MBS and a subsequent rebuild of this module fixed the issue.

Fixed in:
RHEL 8.1.0: https://errata.devel.redhat.com/advisory/40881

Comment 5 errata-xmlrpc 2019-11-05 20:43:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3335


Note You need to log in before you can comment on or make changes to this bug.